.collection-image-presentation .collection-image-presentation__cards {
    display: flex;
    flex-flow: row wrap;
    gap: var(--collection-card-gap-y, 0) var(--collection-card-gap-x, 0);
}

.collection-image-presentation__cards .shopify-block {
    display: contents;
}

.collection-image-presentation .block-title {
    flex: 1 0 100%;
    margin-block-end: calc(5.4rem - var(--collection-card-gap-y, 0));
}

.collection-image-presentation .block-image-text {
    width: 100%;
}

@media screen and (min-width: 750px) {
  .collection-image-presentation .block-image-text {
    width: calc(50% - var(--collection-card-gap-x, 0) / 2);
  }
}